<?php

namespace Kaitek\Bundle\FrameworkBundle\Repository;

use Doctrine\ORM\EntityRepository;
/**
 * UserRightRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class UserRightRepository extends EntityRepository
{
    public function loadUserRightByUserInfo($userId, $menuId) {
        $userRight = $this->createQueryBuilder('u')
            ->where('u.userId = :userId and u.menuId = :menuId')
            ->setParameter('userId', $userId)
            ->setParameter('menuId', $menuId)
            ->getQuery()
            ->setMaxResults(1)
            ->getOneOrNullResult();
        return $userRight;
    }

}
